 @import url('https://fonts.googleapis.com/css2?family=Piazzolla:ital,opsz,wght@0,8..30,600;1,8..30,400&display=swap'); 

*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: 'Piazzolla', serif;
}
:root{
    --main-bg: #1e272e;
    --main-color: #0097e6;
}
html{
    font-size: 62.5%;
}
body{
    height: 100vh;
    display: flex;
    flex-direction: column;
}
.row{
    margin: 0px;
    
}
.main_menu{
    background-color: var(--main-bg);
}
.navbar a{
    margin-left: 2rem;
    font-size: 1.5rem;
}
.navbar{
    color: #fff;
    background-color: var(--main-bg);
    padding: 2rem 0;
}
.navbar a{
    color: #fff;
}
.navbar-toogler{
    color: #fff;
}
.fa-snowflake {
    transition: all linear;
    animation: rot 2s linear infinite;
    color:var(--main-color);
}
@keyframes rot{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
.main_header_left{
    height: 55rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items:flex-start;
}
.main_header_left p{
    font-size: 2rem;
}
.main_header_left h1{
    font-size: 4rem;
    margin: 1rem 0 4rem 0;
}
.main_header_left .spancolor{
    color: var(--main-color);
}
.main_header_left button{
    border: none;
    padding: 1rem 1.2rem;
    font-size: 1.3rem;
    border-radius: 1.6rem;
    box-shadow: 0 8px 6px -6px #000;
    outline: none;
    cursor: pointer;
}
.main_header_left button :hover{
    box-shadow: 0 8px 6px -6px aqua;
}
.main_header_right{
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* align-items: flex-start; */
}
/* weather */
.temp_form{
    width: 60%;
    position: relative;
    margin: 10rem auto 1rem;
}
.temp_form input[type="text"]{
    width: 100%;
    padding: 2rem 5rem 2rem 2rem;
    background-color: #009ad8;
    color: #fff;
    outline: none;
    border: none;
    font-size: 1.8rem;
    border-radius: 3rem;
}
.temp_form input[type="submit"]{
    position: absolute;
    top: 5px;
    right: 5px;
    bottom: 5px;
    border: none;
    background-color: #009ad8;
    padding: 0 3rem;
    border-radius: 3rem;
    color: #fff;
    font-size: 1.5rem;
}

.temp_form input[type="submit"]:hover{
    color: #009ad8;
    background-color: #fff;
    cursor: pointer;
}

.tempInformation{
    width: 40rem;
    margin: auto;
    min-height: 20rem;
    background-color: #323544;
    border-radius: 1rem;
    padding: 1rem;
}
.top_layer{
width: 100%;
height: 20%;
background-color:#009ad8;
display: flex;
justify-content: space-between;
align-items: center;
border-radius: 1rem;
padding: 2rem 1rem;
}
.top_layer p{
    color: #fff;
    font-weight: 400;
    font-size: 1.5rem;
}
.main_layer #city_name{
    padding: 2rem 0;
    color: #fff;
    font-weight: 400;
    font-size: 4rem;
}
.main_layer .middle_layer{
    display: flex;
    justify-content: space-around;
    color: #fff;
}
.main_layer .middle_layer p,
.main_layer .middle_layer .fa{
    font-size: 7rem;
    font-weight: 900;
}
.data_hide{
    visibility: hidden;
}
footer{
    width: 100%;
    background-color: var(--main-bg);
    margin-top: auto;
}
footer p{
    margin: 0;
    text-align: center;
    line-height: 3rem;
    color: #fff;
    font-size: 1.3rem;
}
@media (max-width:768px){
    .main_header_left{
        height: auto;
        margin: 5rem 0;
    }
    .main_header_right{
        height: auto;
        margin: 4rem 0;
    }
    /* .temp_form{
        width: auto;
    }
    .tempInformation{
        width: auto;
    } */
}
.error_button{
    border: none;
    padding: 1rem 1.2rem;
    font-size: 1.3rem;
    border-radius: 1.6rem;
    box-shadow: 0 8px 6px -6px #000;
    outline: none;
    cursor: pointer;   
}
.error{
    display: flex;
    align-items: center;
    justify-content: center;
}
